<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Applicant</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Detail Applicant
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Detail Applicant</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/applicant/detail(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Detail</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/certificate(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Certificate</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/identity(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Identity File</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Detail</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <form class="form-horizontal" th:action="@{/applicant/detail/save}" th:object="${employess}" method="post" enctype="multipart/form-data">
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-info">
                                        <div class="box-header with-border">
                                        </div>
                                        <div class="box-body">
                                            <input type="hidden" name="applicant" th:value="${employess.id}">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="nickName" class="col-sm-2 control-label">Nick Name</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{nickName}" name="nickName" id="nickName" placeholder="Nick name">
                                                        <p th:if="${#fields.hasErrors('nickName')}" th:errors="*{nickName}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="fullName" class="col-sm-2 control-label">Full Name</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{fullName}" name="fullName" id="fullName" placeholder="Full Name">
                                                        <p th:if="${#fields.hasErrors('fullName')}" th:errors="*{fullName}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Gender</label>

                                                    <div class="col-sm-10">
                                                        <label>
                                                            <input name="gender1" id="gender1" type="radio" value="PRIA" class="flat-red" th:field="*{gender}">
                                                            PRIA
                                                        </label>
                                                        &nbsp;
                                                        <label>
                                                            <input name="gender2" id="gender2" type="radio" value="WANITA" class="flat-red" th:field="*{gender}">
                                                            WANITA
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="placeOfBirth" class="col-sm-2 control-label">Place_of_birth</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{placeOfBirth}" name="placeOfBirth" id="placeOfBirth" placeholder="Place of Birth">
                                                        <p th:if="${#fields.hasErrors('placeOfBirth')}" th:errors="*{placeOfBirth}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Date_of_birth:</label>
                                                    <div class="col-sm-10">
                                                        <div class="input-group date">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-calendar"></i>
                                                            </div>
                                                            <input type="text" class="form-control pull-right" id="dateOfBirth" th:field="*{dateOfBirth}" name="dateOfBirth" placeholder="Data of Birth MM/dd/yyyy">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="blod" class="col-sm-2 control-label">Blod</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{blod}" name="blod" id="blod" placeholder="Blod">
                                                        <p th:if="${#fields.hasErrors('blod')}" th:errors="*{blod}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="religion" class="col-sm-2 control-label">Religion</label>

                                                    <div class="col-sm-10">
                                                        <select class="form-control select2" name="religion" th:field="*{religion}" id="religion" style="width: 100%;">
                                                            <option th:each="data : ${listReligion}"
                                                                    th:text="${data.agama}"
                                                                    th:value="${data.id}">sdasd</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="noNpwp" class="col-sm-2 control-label">No NPWP</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{noNpwp}" name="noNpwp" id="noNpwp" placeholder="No NPWP">
                                                        <p th:if="${#fields.hasErrors('noNpwp')}" th:errors="*{noNpwp}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="bpjsKesehatanNumber" class="col-sm-2 control-label">No BPJS KES</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{bpjsKesehatanNumber}" name="bpjsKesehatanNumber" id="bpjsKesehatanNumber" placeholder="BPJS Kesehatan Numer">
                                                        <p th:if="${#fields.hasErrors('bpjsKesehatanNumber')}" th:errors="*{bpjsKesehatanNumber}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="bpjsKetenagakerjaanNumber" class="col-sm-2 control-label">No BPJS TK</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{bpjsKetenagakerjaanNumber}" name="bpjsKetenagakerjaanNumber" id="bpjsKetenagakerjaanNumber" placeholder="BPJS Ketenagakerjaan Numer">
                                                        <p th:if="${#fields.hasErrors('bpjsKetenagakerjaanNumber')}" th:errors="*{bpjsKetenagakerjaanNumber}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="identityNumber" class="col-sm-2 control-label">Identity Number</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{identityNumber}" name="identityNumber" id="identityNumber" placeholder="Identity Numer">
                                                        <p th:if="${#fields.hasErrors('identityNumber')}" th:errors="*{identityNumber}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">

                                                <div class="form-group">
                                                    <label for="identityAddress" class="col-sm-2 control-label">Identity Address</label>
                                                    <div class="col-sm-10">
                                                        <textarea class="form-control" th:field="*{identityAddress}" name="identityAddress" id="identityAddress" rows="3" placeholder="Identity Address"></textarea>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">

                                                <div class="form-group">
                                                    <label for="domisiliAddress" class="col-sm-2 control-label">Domisili Address</label>
                                                    <div class="col-sm-10">
                                                        <textarea class="form-control" th:field="*{domisiliAddress}" name="domisiliAddress" id="domisiliAddress" rows="3" placeholder="Domisili Address"></textarea>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="homeTelephoneNumber" class="col-sm-2 control-label">Telephone</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{homeTelephoneNumber}" name="homeTelephoneNumber" id="homeTelephoneNumber" placeholder="Home Telephone Numer">
                                                        <p th:if="${#fields.hasErrors('homeTelephoneNumber')}" th:errors="*{homeTelephoneNumber}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="celularTelephoneNumber" class="col-sm-2 control-label">Cellphone</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{celularTelephoneNumber}" name="celularTelephoneNumber" id="celularTelephoneNumber" placeholder="Celular Telephone Number">
                                                        <p th:if="${#fields.hasErrors('celularTelephoneNumber')}" th:errors="*{celularTelephoneNumber}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="emailActive" class="col-sm-2 control-label">Email Active</label>

                                                    <div class="col-sm-10">
                                                        <input type="email" class="form-control" th:field="*{emailActive}" name="emailActive" id="emailActive" placeholder="Email Active">
                                                        <p th:if="${#fields.hasErrors('emailActive')}" th:errors="*{emailActive}" class="text-danger"> Mata Anggaran Error</p>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6" th:align="center">
                                                <div class="form-group">
                                                    <label for="celularTelephoneNumber" class="col-sm-2 control-label"></label>
                                                    <div class="col-sm-10">
                                                        <img style="width: 200px; height: 300px" class="img-thumbnail" th:src="@{/applicant/{applicant}/foto/(applicant = ${employess.getId()})}" alt="No Image">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="foto" class="col-sm-2 control-label">Foto</label>

                                                    <div class="col-sm-10">
                                                        <input type="file" name="foto" id="foto" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                                        <p class="help-block">Upload file bila perlu.</p>
                                                    </div>
                                                </div>
                                            </div>

<!--                                            <input type="hidden" name="statusAktif" th:field="*{statusAktif}">-->
<!--                                            <input type="hidden" name="user" th:field="*{user}">-->
<!--                                            <input type="hidden" name="id" th:field="*{id}">-->
<!--                                            <input type="hidden" name="fileFoto" th:field="*{fileFoto}">-->

                                        </div>
                                        <div class="box-footer">
                                            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.tab-pane -->
                        <!--                    <div class="tab-pane" id="keluarga">-->
                        <!--                        <div class="row">-->

                        <!--                        </div>-->
                        <!--                    </div>-->
                        <!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
                        <!--                    <div class="tab-pane" id="pendidikan">-->
                        <!--                        <div class="row">-->

                        <!--                        </div>-->
                        <!--                    </div>-->
                        <!-- /.tab-pane -->
                    </div>
                </form>
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#dateOfBirth').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>